Package: groovy.lang

## [Java] Interface GeneratedGroovyProxy

- An interface implemented by some Groovy proxies which gives access to the proxied object. In particular, dynamically generated proxies that implement traits will implement this interface in order to give access to the proxied instance.

  Authors:
    Cedric Champeau
  Since:
    2.3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `getProxyTarget()` @return the proxy target.

- - ### Method Detail

    - #### public Object getProxyTarget()

      Returns:
        the proxy target.